@mixin image_reflow_mix($width: width, $height: height, $type: root) {
    $precent: calc(#{$height} * 100 / #{$width} * 1%);

    @if $type == container {
        width: 100%;
        height: 0;
        padding-bottom: $precent;
        position: relative;
        display: block;
        overflow: hidden;
        background-color: color(gray-1);
    }

    @if $type == image {
        width: 100%;
        height: auto;
        position: absolute;
        left: 0;
    }
}
